// node modules
import React from "react";
import { Meta, Story } from "@storybook/react";

// local components
import { PriceBlock, PriceBlockProps } from "../components/price_block";

export default {
    title: 'Example/PriceBlocks',
} as Meta;

const PriceBlockTpl: Story<PriceBlockProps> = (args) => <PriceBlock {...args} />;

export const price_block = PriceBlockTpl.bind({});

price_block.args = {
    btnLabel: 'Start trial',
    active: true,
    price: '39.90',
    term: 'mo',
    savingPrice: 0,
    trialTitle: '3-day trial',
}
