export type TagWrapper = [string, string] | [string, string][];

export interface TextNormilizerOptions {
    tagWrappers?: TagWrapper; // can be ['*', 'p'] or [['*', 'p'], ['$', 'div']]
    brChanger?: boolean;
    variables?: any;
    localStorageMode?: boolean
}

export interface ParserProps {
    tagChangers?: ((str: string) => string)[];
    brChanger?: (s: string) => string;
}
